Update Campaign Status
curl --request POST \
--url https://public.plai.io/meta/update_campaign_status \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>",
"campaignId": "<string>",
"status": "<string>"
}
'import requests
url = "https://public.plai.io/meta/update_campaign_status"
payload = {
"userId": "<string>",
"campaignId": "<string>",
"status": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>', campaignId: '<string>', status: '<string>'})
};
fetch('https://public.plai.io/meta/update_campaign_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"error": "<string>"
}
}Campaign
Update Campaign Status
This endpoint is used to update campaign status.
POST
/
meta
/
update_campaign_status
Update Campaign Status
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
string
required
Campaign ID. You can get campaign id from get campaign insights
page. If not created,
create a campaign on create campaign
page.
string
required
Status to update the campaign to, values:
PAUSED or ACTIVE or DELETEResponse
boolean
Indicates that the HTTP response was successful (status code 200 OK).